Bug 215009 - Evolution generally ignores proxy settings
Evolution generally ignores proxy settings
Product: Fedora
Classification: Fedora
Component: gtkhtml3 (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2006-11-10 11:18 EST by Mark Polo
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-02 11:12:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 376425 None None None Never

  None (edit)
Description Mark Polo 2006-11-10 11:18:57 EST
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible: I am using evolution with evolution-connector to get mail from
an OWA server. My Internet access is exclusively through a proxy (I have a local
ntlmaps proxy that contacts the actual proxy, which most Linux applications
can't talk to.) All images appear in as red x-es if the messages reside in local
folders. Occasionally, I notice an image that correctly downloads if the message
is residing on the Exchange Server.

Steps to Reproduce:
1. Set up proxies in System>Preferences>Network Proxy. For good measure set up a
global environment variable (/etc/profile.d/proxy.sh). For good measure, install
gconf-editor to verify that the settings are known to Gnome.
2. Make sure that Email Properties (HTML mail) has "Always download images from
the Internet" checked.
3. Write a rule to move a newsletter in HTML to a local directory.
4. Try to read the message from the local directory.
Actual results: The status bar indicates attempts to download the message, but
all images are replaced by red x-es.

Expected results: Successful downloading of the images.

Additional info: I had the same problem in FC5, but never reported it. (I
switched to Evolution very late in the cycle -- I had been using Outlook under
Crossover Office before, as my organization had no OWA at the time.)
Comment 1 Matthew Barnes 2006-11-17 14:18:08 EST
Reassigning to gtkhtml3.
Comment 2 Matthew Barnes 2006-11-17 14:24:03 EST
Opened an upstream bug:
Comment 3 Matthew Barnes 2007-10-02 11:12:50 EDT
Closing here since this has already been moved upstream.

Note You need to log in before you can comment on or make changes to this bug.